namespace GrundlagenOperatorenRechnen
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void CmdAnzeigen1_Click(object sender, EventArgs e)
        {
            LblAnzeige.Text =
                $"7 + 2 * 3 = {7 + 2 * 3}\n" +
                $"(7 + 2) * 3 = {(7 + 2) * 3}\n" +
                $"22 / 8.0 = {22 / 8.0}\n" +
                $"22 / 8 = {22 / 8}\n" +
                $"22 / -8 = {22 / -8}\n" +
                $"19 % 4 = {19 % 4}\n" +
                $"19.5 % 4.5 = {19.5 % 4.5}\n" +
                $"-19.5 % 4.5 = {-19.5 % 4.5}";
        }

        private void CmdAnzeigen2_Click(object sender, EventArgs e)
        {
            int x = 5;
            x++;
            ++x;
            x = x + 1;
            LblAnzeige.Text = $"Ergebnis: {x}";
        }

        private void CmdAnzeigen3_Click(object sender, EventArgs e)
        {
            int x = 5;
            LblAnzeige.Text = $"Ergebnis: {x++}";
        }

        private void CmdAnzeigen4_Click(object sender, EventArgs e)
        {
            int x = 5;
            LblAnzeige.Text = $"Ergebnis: {++x}";
        }
    }
}
